Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.constants
Class Style

    java.lang.Object
      org.apache.axis.constants.Enum
          org.apache.axis.constants.Style

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Style

public class Style
extends Enum

Description of the different styles
style=rpc, use=encoded
First element of the SOAP body is the operation. The operation contains elements describing the parameters, which are serialized as encoded (possibly multi-ref)

       <soap:body>
          <operation>
             <arg1>...</arg1>
             <arg2>...</arg2>
          </operation>

style=RPC, use=literal
First element of the SOAP body is the operation. The operation contains elements describing the parameters, which are serialized as encoded (no multi-ref)\

       <soap:body>
          <operation>
             <arg1>...</arg1>
             <arg2>...</arg2>
          </operation>

style=document, use=literal
Elements of the SOAP body are the names of the parameters (there is no wrapper operation...no multi-ref)

       <soap:body>
             <arg1>...</arg1>
             <arg2>...</arg2>

style=wrapped
Special case of DOCLIT where there is only one parameter and it has the same qname as the operation. In such cases, there is no actual type with the name...the elements are treated as parameters to the operation

       <soap:body>
          <one-arg-same-name-as-operation>
             <elemofarg1>...</elemofarg1>
             <elemofarg2>...</elemofarg2>

style=document, use=encoded
There is not an enclosing operation name element, but the parmeterss are encoded using SOAP encoding This mode is not (well?) supported by Axis.

Author:
  Richard Sitze
See Also:
  Serialized Form

Nested Class Summary
`static class` | `Style.Type`

Field Summary
`static Style` | `DEFAULT`
`static Style` | `DOCUMENT`
`static java.lang.String` | `DOCUMENT_STR`
`static Style` | `MESSAGE`
`static java.lang.String` | `MESSAGE_STR`
`static Style` | `RPC`
`static java.lang.String` | `RPC_STR`
`static Style` | `WRAPPED`
`static java.lang.String` | `WRAPPED_STR`

Fields inherited from class org.apache.axis.constants.Enum
`log, name, value`

Constructor Summary
`protected` | `Style()`

Method Summary
`static Style` | `getDefault()`
`QName` | `getProvider()`
`static Style` | `getStyle(int style)`
`static Style` | `getStyle(java.lang.String style)`
`static Style` | `getStyle(java.lang.String style, Style dephault)`
`static java.lang.String[]` | `getStyles()`
`static boolean` | `isValid(java.lang.String style)`
`static int` | `size()`

Methods inherited from class org.apache.axis.constants.Enum
`equals, equals, getName, getType, getValue, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### RPC_STR

    public static final java.lang.String RPC_STR

See Also:
  Constant Field Values

### DOCUMENT_STR

    public static final java.lang.String DOCUMENT_STR

See Also:
  Constant Field Values

### WRAPPED_STR

    public static final java.lang.String WRAPPED_STR

See Also:
  Constant Field Values

### MESSAGE_STR

    public static final java.lang.String MESSAGE_STR

See Also:
  Constant Field Values

### RPC

    public static final Style RPC

### DOCUMENT

    public static final Style DOCUMENT

### WRAPPED

    public static final Style WRAPPED

### MESSAGE

    public static final Style MESSAGE

### DEFAULT

    public static final Style DEFAULT

Constructor Detail

### Style

    protected Style()

Method Detail

### getDefault

    public static Style getDefault()

### getProvider

    public final QName getProvider()

### getStyle

    public static final Style getStyle(int style)

### getStyle

    public static final Style getStyle(java.lang.String style)

### getStyle

    public static final Style getStyle(java.lang.String style,
                                       Style dephault)

### isValid

    public static final boolean isValid(java.lang.String style)

### size

    public static final int size()

### getStyles

    public static final java.lang.String[] getStyles()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.